• 当前位置: 主页 > Linux安装教程 > 软件安装 >

    Teamviewer安装_Debian8下安装Teamviewer

    时间:2016-02-27 21:09来源:未知 作者:Linux先生 举报 点击:
    teamviewer的deb包是死活安装不上, 总是缺少依赖, 安装依赖时又把teamviewer自动卸载, 这尼玛不是坑人么!
    teamviewer的deb包是死活安装不上, 总是缺少依赖, 安装依赖时又把teamviewer自动卸载, 这尼玛不是坑人么!
    先去teamviewer下载teamviewer_linux.tar.gz包
    解压后先执行./tv-setup checklibs, 检查下依赖包是否满足
    $ ./tv-setup checklibs 
    
        -=-   TeamViewer tar.gz check   -=-      
    
      In order to use the tar.gz version of TeamViewer, 
      you have to make sure that the necessary libraries are installed.
      NOTE: Most needed libraries are 32 bit libraries, even if you are on a 64 bit system!   
    
        Writing raw output to /home/genius/Downloads/teamviewer/logfiles/DependencyCheck32.log An error occurred.
    
        Your system probably does not support 32 bit binaries (yet).
        If you are on a 64 bit Intel/AMD system, you might need to install
        initial 32 bit support by installing a basic 32 bit package, for example:
          apt-get install libc6:i386		(DEB multiarch, > ~2012)
          apt-get install libc6-i386 ia32-libs	(DEB legacy,    < ~2012)
          yum install glibc.i686			(RPM RedHat)
          zypper install glibc.i686			(RPM Suse)
        or similar.
    
        On DEB systems (Debian, Ubuntu, Mint) you may have to enable multi-arch support.
        See http://wiki.debian.org/Multiarch/HOWTO
    
    执行安装
    sudo dpkg --add-architecture i386
    sudo apt-get update
    sudo apt-get install libstdc++6:i386 libgcc1:i386 zlib1g:i386 libncurses5:i386
    
    上面依赖安装好后在执行./tv-setup checklibs
    $ ./tv-setup checklibs
        -=-   TeamViewer tar.gz check   -=-      
    
      In order to use the tar.gz version of TeamViewer, 
      you have to make sure that the necessary libraries are installed.
      NOTE: Most needed libraries are 32 bit libraries, even if you are on a 64 bit system!   
    
        Writing raw output to /home/genius/Downloads/teamviewer/logfiles/DependencyCheck32.log
        Writing raw output to /home/genius/Downloads/teamviewer/logfiles/DependencyCheck64.log
    
     Analyzing dependencies (64 bit)...   
    
    	All 64 bit dependencies seem to be satisfied!
    
     Analyzing dependencies (32 bit)...   
    	libfontconfig.so.1 => not found
    	libfreetype.so.6 => not found
    	libjpeg.so.62 => not found
    	libpng12.so.0 => not found
    	libSM.so.6 => not found
    	libX11.so.6 => not found
    	libXext.so.6 => not found
    	libXinerama.so.1 => not found
    	libXrender.so.1 => not found
    
    	The 32 bit libraries listed above seem to be missing.
    	Please find and install the corresponding packages.
    	Then, run this command again.
    	The following command may be helpful:
    	  apt-get install libasound2:i386 libexpat1:i386 libfontconfig1:i386 libfreetype6:i386 libjpeg62:i386 libpng12-0:i386 libsm6:i386 libxdamage1:i386 libxext6:i386 libxfixes3:i386 libxinerama1:i386 libxrandr2:i386 libxrender1:i386 libxtst6:i386 zlib1g:i386 
    
    按照提示执行安装
    sudo apt-get install libasound2:i386 libexpat1:i386 libfontconfig1:i386 libfreetype6:i386 libjpeg62:i386 libpng12-0:i386 libsm6:i386 libxdamage1:i386 libxext6:i386 libxfixes3:i386 libxinerama1:i386 libxrandr2:i386 libxrender1:i386 libxtst6:i386 zlib1g:i386 

    在检查一次./tv-setup checklibs
    $ ./tv-setup checklibs -=- TeamViewer tar.gz check -=- In order to use the tar.gz version of TeamViewer, you have to make sure that the necessary libraries are installed. NOTE: Most needed libraries are 32 bit libraries, even if you are on a 64 bit system! Writing raw output to /home/genius/Downloads/teamviewer/logfiles/DependencyCheck32.log Writing raw output to /home/genius/Downloads/teamviewer/logfiles/DependencyCheck64.log Analyzing dependencies (64 bit)... All 64 bit dependencies seem to be satisfied! Analyzing dependencies (32 bit)... All 32 bit dependencies seem to be satisfied! 

    哈哈, 是不是显示已经OK了
    直接运行teamviewer 
    $ ./teamviewer Init... Checking setup... Launching TeamViewer ... Starting network process (no daemon) Network process already started (or error) Launching TeamViewer GUI ...
    附截图:
    推荐内容